Bug 1009428 - updating product's gpgkey does not work
updating product's gpgkey does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Adam Price
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 08:24 EDT by Ales Dujicek
Modified: 2014-04-24 13:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Dujicek 2013-09-18 08:24:03 EDT
Description of problem:

updating product's gpgkey has no effect:

> product update --org testorg --name with-key --nogpgkey
Successfully updated product [ with-key ]
> product list --org testorg -v
..
Name           : with-key
GPG key        : gpgkey
..


Version-Release number of selected component (if applicable):
katello-configure-1.4.5-1.git.3.a9848fc.el6.noarch
katello-common-1.4.6-1.git.143.5712bb8.el6.noarch
katello-cli-1.4.3-1.git.46.a2fefb7.el6.noarch
katello-1.4.6-1.git.143.5712bb8.el6.noarch
katello-repos-1.4.2-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
pulp-katello-plugins-0.2-1.el6.noarch
katello-glue-candlepin-1.4.6-1.git.143.5712bb8.el6.noarch
katello-all-1.4.6-1.git.143.5712bb8.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
signo-katello-0.0.21-1.el6.noarch
katello-glue-pulp-1.4.6-1.git.143.5712bb8.el6.noarch
katello-selinux-1.4.4-1.git.1.7abb02b.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-glue-elasticsearch-1.4.6-1.git.143.5712bb8.el6.noarch
katello-certs-tools-1.4.4-1.el6.noarch
katello-cli-common-1.4.3-1.git.46.a2fefb7.el6.noarch


How reproducible:
always

Steps to Reproduce:
1.
org create --name testorg
gpg_key create --name gpgkey --file /tmp/gpgkey --org testorg
provider create --org testorg --name provider
product create --org testorg --name without-key --provider provider
product create --org testorg --name with-key --gpgkey gpgkey --provider provider

product list --org testorg -v
Name           : with-key
GPG key        : gpgkey
Name           : without-key
GPG key        :
2.
product update --org testorg --name with-key --nogpgkey
product update --org testorg --name without-key --gpgkey gpgkey
product list --org testorg -v
Name           : with-key
GPG key        : gpgkey
Name           : without-key
GPG key        :

Actual results:
gpg keys are not changed
Comment 2 Adam Price 2013-09-26 11:51:53 EDT
https://github.com/Katello/katello/pull/3042
Comment 7 Og Maciel 2013-10-03 12:59:42 EDT
Verified:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-10.el6sat.noarch
* foreman-compute-1.3.0-10.el6sat.noarch
* foreman-libvirt-1.3.0-10.el6sat.noarch
* foreman-postgresql-1.3.0-10.el6sat.noarch
* foreman-proxy-1.3.0-1.el6sat.noarch
* katello-1.4.6-15.el6sat.noarch
* katello-all-1.4.6-15.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-15.el6sat.noarch
* katello-cli-common-1.4.3-15.el6sat.noarch
* katello-common-1.4.6-15.el6sat.noarch
* katello-configure-1.4.5-8.el6sat.noarch
* katello-configure-foreman-1.4.5-8.el6sat.noarch
* katello-configure-foreman-proxy-1.4.5-8.el6sat.noarch
* katello-foreman-all-1.4.6-15.el6sat.noarch
* katello-glue-candlepin-1.4.6-15.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-15.el6sat.noarch
* katello-glue-pulp-1.4.6-15.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.14.alpha.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.14.alpha.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.14.alpha.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.14.alpha.el6sat.noarch
* pulp-selinux-2.3.0-0.14.alpha.el6sat.noarch
* pulp-server-2.3.0-0.14.alpha.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.20-3.el6sat.noarch
* signo-katello-0.0.20-3.el6sat.noarch
Comment 8 Bryan Kearney 2014-04-24 13:10:22 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 9 Bryan Kearney 2014-04-24 13:11:39 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.